import React from 'react';
import { Link } from 'react-router-dom';
import logo from './images/logo-sm.svg'


const LoggedOutView = props => {
  if (!props.currentUser) {
    return (
      <ul className="nav navbar-nav pull-xs-right">

        <li className="nav-item">
          <Link to="/" className="nav-link-mylly">
            Home
          </Link>
        </li>

        <li className="nav-item">
          <Link to="/login" className="nav-link-mylly">
            Sign in
          </Link>
        </li>

        <li className="nav-item">
          <Link to="/register" className="nav-link-mylly">
            Sign up
          </Link>
        </li>

      </ul>
    );
  }
  return null;
};

// li classname was "nav-item"
const LoggedInView = props => {
  if (props.currentUser) {
    return (
      <ul className="nav navbar-nav pull-xs-right">

        <li className="nav-link-mylly"> 
          <Link to="/" className="nav-link-mylly">
            Home
          </Link>
        </li>

        <li className="nav-link-mylly">
          <Link to="/editor" className="nav-link-mylly">
            <i className="ion-compose"></i>&nbsp;New Post
          </Link>
        </li>

        <li className="nav-link-mylly">
          <Link to="/settings" className="nav-link-mylly">
            <i className="ion-gear-a"></i>&nbsp;Settings
          </Link>
        </li>
        
        <li className="nav-link-mylly">
          <Link
            to={`/@${props.currentUser.username}`}
            className="nav-link-mylly-user">
            <img src={props.currentUser.image} className="user-pic-mylly" title={props.currentUser.username} style={{marginLeft:10}}alt={props.currentUser.username} 
            onError={e => { e.currentTarget.src = "https://static.productionready.io/images/smiley-cyrus.jpg"; }}/>
          </Link>
        </li>

      </ul>
    );
  }

  return null;
};

class Header extends React.Component {
  render() {
    return (
      <nav className="navbar-mylly">
        <div className="container-mylly">
          <Link to={{ pathname: "https://www.wimmalab.org/" }} target="_blank"  className="navbar-brand-mylly">
            <img src={logo} alt="logo" height="20px"/>
            {/* {this.props.appName.toLowerCase()}  */}
          </Link>

          <LoggedOutView currentUser={this.props.currentUser} />

          <LoggedInView currentUser={this.props.currentUser} />
        </div>
      </nav>
    );
  }
}

export default Header;
